FreeMat

- Main Page
- Related Pages

vtkSubCommunicator

Section: Visualization Toolkit Parallel Classes

# Usage

This class provides an implementation for communicating on process groups. In general, you should never use this class directly. Instead, use the vtkMultiProcessController::CreateSubController method.

.SECTION BUGS

Because all communication is delegated to the original communicator, any error will report process ids with respect to the original communicator, not this communicator that was actually used.

To create an instance of class vtkSubCommunicator, simply invoke its constructor as follows

      obj = vtkSubCommunicator

# Methods

The class vtkSubCommunicator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSubCommunicator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSubCommunicator = obj.NewInstance ()`
- `vtkSubCommunicator = obj.SafeDownCast (vtkObject o)`
- `vtkProcessGroup = obj.GetGroup ()` - Set/get the group on which communication will happen.
- `obj.SetGroup (vtkProcessGroup group)` - Set/get the group on which communication will happen.